You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     b...@freebsd.org
Last committer: ger...@freebsd.org
Ident:          $FreeBSD: head/math/arpack++/Makefile 367888 2014-09-10 
20:50:31Z gerald $
Log URL:        
http://beefy6.nyi.freebsd.org/data/101amd64-default/410938/logs/arpack++-1.2_6.log
Build URL:      
http://beefy6.nyi.freebsd.org/build.html?mastername=101amd64-default&build=410938
Log:

====>> Building math/arpack++
build started at Sun Mar 13 01:43:53 UTC 2016
port directory: /usr/ports/math/arpack++
building for: FreeBSD 101amd64-default-job-01 10.1-RELEASE-p30 FreeBSD 
10.1-RELEASE-p30 amd64
maintained by: b...@freebsd.org
Makefile ident:      $FreeBSD: head/math/arpack++/Makefile 367888 2014-09-10 
20:50:31Z gerald $
Poudriere version: 3.1.12
Host OSVERSION: 1100097
Jail OSVERSION: 1001000

---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 10.1-RELEASE-p30
UNAME_r=10.1-RELEASE-p30
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=amd64
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/101amd64-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=arpack++-1.2_6
OSREL=10.1
_OSRELEASE=10.1-RELEASE-p30
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/101amd64-default/ref/.p/pool
HAVE_COMPAT_IA32_KERN=YES LINUX_OSRELEASE=2.6.32
MASTERNAME=101amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1001000
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for arpack++-1.2_6:
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/math/arpack++/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/arpack++/work  
HOME=/wrkdirs/usr/ports/math/arpack++/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/math/arpack++/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/arpack++/work  
HOME=/wrkdirs/usr/ports/math/arpack++/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=10.1
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/arpack++"
EXAMPLESDIR="share/examples/arpack++"
DATADIR="share/arpack++"
WWWDIR="www/arpack++"
ETCDIR="etc/arpack++"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/arpack++
DOCSDIR=/usr/local/share/doc/arpack++
EXAMPLESDIR=/usr/local/share/examples/arpack++
WWWDIR=/usr/local/www/arpack++
ETCDIR=/usr/local/etc/arpack++
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   arpack++-1.2_6 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.4_1.txz
[101amd64-default-job-01] Installing pkg-1.6.4_1...
[101amd64-default-job-01] Extracting pkg-1.6.4_1: .......... done
===>   arpack++-1.2_6 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of arpack++-1.2_6
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by arpack++-1.2_6 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by arpack++-1.2_6 for building
=> SHA256 Checksum OK for arpack++-1.2/arpack++.tar.gz.
=> SHA256 Checksum OK for arpack++-1.2/arpack++1.2.patch.diff.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by arpack++-1.2_6 for building
===>  Extracting for arpack++-1.2_6
=> SHA256 Checksum OK for arpack++-1.2/arpack++.tar.gz.
=> SHA256 Checksum OK for arpack++-1.2/arpack++1.2.patch.diff.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for arpack++-1.2_6
===>  Applying distribution patches for arpack++-1.2_6
===>  Applying FreeBSD patches for arpack++-1.2_6
===========================================================================
=======================<phase: build-depends  >============================
===>   arpack++-1.2_6 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[101amd64-default-job-01] Installing gmake-4.1_2...
[101amd64-default-job-01] `-- Installing indexinfo-0.2.4...
[101amd64-default-job-01] `-- Extracting indexinfo-0.2.4: .... done
[101amd64-default-job-01] `-- Installing gettext-runtime-0.19.7...
[101amd64-default-job-01] `-- Extracting gettext-runtime-0.19.7: .......... done
[101amd64-default-job-01] Extracting gmake-4.1_2: .......... done
===>   arpack++-1.2_6 depends on executable: gmake - found
===>   Returning to build of arpack++-1.2_6
===========================================================================
=======================<phase: lib-depends    >============================
===>   arpack++-1.2_6 depends on shared library: libarpack.so - not found
===>   Installing existing package /packages/All/arpack-96_13.txz
[101amd64-default-job-01] Installing arpack-96_13...
[101amd64-default-job-01] `-- Installing blas-3.5.0_3...
[101amd64-default-job-01] |   `-- Installing gcc-4.8.5_2...
[101amd64-default-job-01] |   | `-- Installing mpc-1.0.3...
[101amd64-default-job-01] |   |   `-- Installing gmp-5.1.3_3...
[101amd64-default-job-01] |   |   `-- Extracting gmp-5.1.3_3: .......... done
[101amd64-default-job-01] |   |   `-- Installing mpfr-3.1.3_1...
[101amd64-default-job-01] |   |   `-- Extracting mpfr-3.1.3_1: .......... done
[101amd64-default-job-01] |   | `-- Extracting mpc-1.0.3: ...... done
[101amd64-default-job-01] |   | `-- Installing binutils-2.25.1,1...
[101amd64-default-job-01] |   | `-- Extracting binutils-2.25.1,1: .......... 
done
[101amd64-default-job-01] |   | `-- Installing gcc-ecj-4.5...
[101amd64-default-job-01] |   | `-- Extracting gcc-ecj-4.5: . done
[101amd64-default-job-01] |   `-- Extracting gcc-4.8.5_2: .......... done
[101amd64-default-job-01] `-- Extracting blas-3.5.0_3: ....... done
[101amd64-default-job-01] Extracting arpack-96_13: .......... done
Message from gcc-4.8.5_2:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc48

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
===>   arpack++-1.2_6 depends on shared library: libarpack.so - found 
(/usr/local/lib/libarpack.so)
===>   Returning to build of arpack++-1.2_6
===>   arpack++-1.2_6 depends on shared library: libumfpack.so - not found
===>   Installing existing package /packages/All/suitesparse-4.0.2_4.txz
[101amd64-default-job-01] Installing suitesparse-4.0.2_4...
[101amd64-default-job-01] `-- Installing openblas-0.2.15,1...
[101amd64-default-job-01] `-- Extracting openblas-0.2.15,1: ......... done
[101amd64-default-job-01] Extracting suitesparse-4.0.2_4: .......... done
===>   arpack++-1.2_6 depends on shared library: libumfpack.so - found 
(/usr/local/lib/libumfpack.so)
===>   Returning to build of arpack++-1.2_6
===>   arpack++-1.2_6 depends on shared library: liblapack.so - not found
===>   Installing existing package /packages/All/lapack-3.5.0.txz
[101amd64-default-job-01] Installing lapack-3.5.0...
[101amd64-default-job-01] Extracting lapack-3.5.0: .......... done
===>   arpack++-1.2_6 depends on shared library: liblapack.so - found 
(/usr/local/lib/liblapack.so)
===>   Returning to build of arpack++-1.2_6
===>   arpack++-1.2_6 depends on shared library: libblas.so - found 
(/usr/local/lib/libblas.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for arpack++-1.2_6
===========================================================================
=======================<phase: build          >============================
===========================================================================
=======================<phase: run-depends    >============================
===>   arpack++-1.2_6 depends on file: /usr/local/lib/libsuperlu.a - not found
===>   Installing existing package /packages/All/superlu-5.1.1.txz
[101amd64-default-job-01] Installing superlu-5.1.1...
[101amd64-default-job-01] Extracting superlu-5.1.1: .......... done
===>   arpack++-1.2_6 depends on file: /usr/local/lib/libsuperlu.a - not found
*** Error code 1

Stop.
make: stopped in /usr/ports/math/arpack++
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to